# Class Plot3DState

java.lang.Object
uk.ac.starlink.ttools.plot.PlotState
uk.ac.starlink.ttools.plot.Plot3DState

Direct Known Subclasses:
  `SphericalPlotState`

public class Plot3DState extends PlotState
PlotState subclass which has specific features for specifying the state of 3D scatter plots. The most important extra feature is the rotation matrix, which describes the viewing angle for the 3D data space.

Since:
  22 Nov 2005
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class PlotState

`PlotState.SimpleValueInfo`

## Constructor Summary

Constructors
Constructor
Description
`Plot3DState()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object otherObject)`
`double`
`getFogginess()`
Returns the intensity of fog used for depth rendering.
`boolean`
`getRotating()`
Indicates whether the plot is currently rotating.
`double[]`
`getRotation()`
Returns the rotation matrix.
`double`
`getZoomScale()`
Sets the zoom level.
`int`
`hashCode()`
`void`
`setFogginess(double fog)`
Sets the intensity of fog used for depth rendering (1 is a reasonable amount; 0 is no fog).
`void`
`setRotating(boolean isRotating)`
Sets whether the plot is currently rotating.
`void`
`setRotation(double[] matrix)`
Sets the rotation matrix.
`void`
`setZoomScale(double zoomScale)`
Returns the zoom level.

### Methods inherited from class PlotState

`compare, getAntialias, getAxes, getAxisLabels, getConverters, getFlipFlags, getGrid, getLogFlags, getMainNdim, getPlotData, getRanges, getShaders, getValid, setAntialias, setAxes, setAxisLabels, setConverters, setFlipFlags, setGrid, setLogFlags, setMainNdim, setPlotData, setRanges, setShaders, setValid`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Plot3DState

public Plot3DState()

## Method Details

### setRotation

public void setRotation(double[] matrix)
Sets the rotation matrix.

Parameters:
  `matrix` - 9-element 3d rotation matrix

### getRotation

public double[] getRotation()
Returns the rotation matrix.

Returns:
  9-element 3d rotation matrix

### setFogginess

public void setFogginess(double fog)
Sets the intensity of fog used for depth rendering (1 is a reasonable amount; 0 is no fog).

Parameters:
  `fog` - fog intensity

### getFogginess

public double getFogginess()
Returns the intensity of fog used for depth rendering.

Returns:
  fog intensity

### setRotating

public void setRotating(boolean isRotating)
Sets whether the plot is currently rotating. A true value for this indicates that the whole set of data points does not need to be drawn; a sequence of plot requests with `isRotating` true must be followed quickly by one with `isRotating` false.

Parameters:
  `isRotating` - true iff this plot is currently in the middle of a sequence of rotation operations

### getRotating

public boolean getRotating()
Indicates whether the plot is currently rotating. A true value for indicates that the whole set of data points does not need to be drawn; a sequence of plot requests with `isRotating` true must be followed quickly by one with `isRotating` false.

Returns:
  true if not all the points need to be drawn this time

### setZoomScale

public void setZoomScale(double zoomScale)
Returns the zoom level. Unity is normal size, and a larger number means more magnification.

Parameters:
  `zoomScale` - zoom level

### getZoomScale

public double getZoomScale()
Sets the zoom level.

Returns:
  zoom level

### equals

public boolean equals(Object otherObject)

Overrides:
  `equals` in class `PlotState`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PlotState`